@import "variables";
@mixin table_header($color) {
    color: white;
    background-color: $color;
    & a {
        color: white;
        text-decoration: underline;
    }
}

    .nav.nav-tabs{align-items: flex-end;}
ul.nav.nav-tabs#table_tabs {
    // margin-left: 0.5em;
    border-bottom: 1pt solid transparent;
}
.tables_div {
    margin: 0 auto;
    width: 100%;
    // overflow: auto;
}
.nav-tabs > li > a {
    font-size: 16pt;
    color: white;
    border: none;
    &:hover {
        background-color: transparent;
    }
}
//
// .table {
//     // @extend .box-shadow;
//     & a {
//         color: grey;
//         text-decoration: underline;
//     }
// }

.tables_div .table {
    border-collapse: collapse;
    width: 99vw;
    & a {
        color: grey;
        text-decoration: underline;
    }
    & tbody{
        border-left: 3pt solid $section-color;
    }
    & th a {
        color: white;
        text-decoration: underline;
    }
}

table.table.series_table.dataTable.no-footer{
    margin-top: 0 !important;
    border-collapse: collapse;
}
table.table.biosample_table.dataTable.no-footer{
    margin-top: 0 !important;
    border-collapse: collapse;
}
table.table.assay_table.dataTable.no-footer{
    margin-top: 0 !important;
    border-collapse: collapse;
}

#help_tables{
    display: flex;
    flex-direction: column;
    align-content: flex-start;
}


#help_tables .table {
    // @extend .box-shadow;
    & a {
        color: white;
        text-decoration: none;
    }
}

@mixin tab_header_mixin($color) {
    text-decoration: none;
    background-color: $color;
    width: 100%;
    // border-top-right-radius: 5pt;
    // border-top-left-radius: 5pt;
    border-right: 2pt solid white;
    border-bottom: 2pt solid white;
    &:last-child{
        border-right:0;
    }
    @extend .header-shadow;
    &:hover {
        text-decoration: underline;
        background-color: lighten($color, 1);
    }
    & a {
        color: white;
    }
    &.active{
        color: white;
        cursor: default;
        text-decoration: underline;
        background-color: $color;
          border-bottom:2pt solid $color;
    }
}
.table-container{
    // margin-top: -0.5em;
    width: 120em;
    & th{
        border-top: 0;
    }
}
.table-container .container-fluid{
    padding-left: 0;
}
.labs_header .nav-link {
    @include tab_header_mixin($select_stroke-color);
}
.series_tab_header .nav-link {
    @include tab_header_mixin($series-color);
}
.biosample_tab_header .nav-link {
    @include tab_header_mixin($biosample-color);
}
.assay_tab_header .nav-link {
    @include tab_header_mixin($assay-color);
}
.appliedAssay_tab_header .nav-link {
    @include tab_header_mixin($appliedAssay-color);
}
.sequencing_tab_header .nav-link {
    @include tab_header_mixin($sequencing-color);
}
.data_tab_header .nav-link {
    @include tab_header_mixin($data-color);
}
.labs_table th {
    @include table_header($select_stroke-color);
}
.series_table th {
    @include table_header($series-color);
}
.biosample_table th {
    @include table_header($biosample-color);
}
.assay_table th {
    @include table_header($assay-color);
}
.applied_assay_table th {
    @include table_header($appliedAssay-color);
}
.sequencing_table th {
    @include table_header($sequencing-color);
}
.data_table th {
    @include table_header($data-color);
}


@mixin filter_bar($color) {
    border-top: 5pt solid $color;
    // border-left: 5pt solid $color;
    // margin-right: -15px;
    z-index:3;
    display: flex-block;
    flex-direction: column;
    max-width: 20em;
    width: 20%;
    min-width: 10em;
    position:relative;
    @extend .lighter-box-shadow;
    padding: 0.5em;
    white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
}
.series_filter_bar{
    @include filter_bar($series-color);
    height: 100%;
}
.biosample_filter_bar{
    @include filter_bar($biosample-color);
    height: 100%;
}
.assay_filter_bar{
    @include filter_bar($assay-color);
    height: 100%;
}
.dataTables_paginate{
    margin: 0 auto;
}
.dataTables_navbar{
    margin-top: 1em;
    margin-left: 0.5em;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    & a{
    outline: 0;
}
}

.pagination>.active>a, .pagination>.active>a:focus, .pagination>.active>a:hover{
    background-color: $cell_border-color;
    border-color: $cell_border-color;
}
.pagination>li>a:hover{
    background-color: $select_fill-color;
}
.dataTables_scrollHead{
    // margin-left: 0.5em;
    // margin-right:0.5em;
}
.dataTables_scrollFoot{
    visibility: hidden;
}
.paginate_button.disabled a, .paginate_button.disabled a:hover{
    background-color: $section-color;
    color: $cell_border-color;
}
.dataTables_scrollBody{
    padding-bottom: 0.5em;
}

li[id$="_ellipsis"].disabled a{
    border-top:0;
    border-bottom:0;
    background-color: white;
}

.selectAutoFill:first-child{
    font-weight: bold;
}
ul{
    list-style-type:none;
}
.facet_text{
        // position: absolute;
        // margin-bottom: 0.5em;
        height: 2em;
        width: 90%;
        // left: 0.5em;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        user-select:none;
        & .count{
            margin-right: -0.9em;
        }
}
.term {
    width: 90%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.facet_item{
    display: flex;
    margin: 0.5em;
    padding: 0.1em;
    padding-top: 0;
    padding-bottom: 0;
    cursor: default;
    order:1;
    &:hover{
      background-color: $select_fill-color;
    }
}
.main{
    margin-left: 0;
    // width: 100%;
}
.active_item{
    border: 2pt solid $select_stroke-color;
}
.table_subdiv{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}
.search_box{
    // padding: 0.5em;
    // margin-bottom: 0.5em;
    // width: 100%;
    box-shadow: 0;
    // border: 0;
    border-radius: 2pt;
    // width: 100;
    // border-bottom: 1pt solid gray;
}
label{
    margin-bottom: 0;
}
.dataTables_info{
    max-width: 38%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: right;
    padding-right: 0.5em;
}

.more{
    text-align: right;
    margin-right: 0.5em;
    order:10;

}
.less{
    text-align: right;
    margin-right: 0.5em;
    order:10;
}
.facet{
    display: flex;
    flex-direction: column;
    border-top: 1pt solid darken($section-color,0.8);

}
// .btn--export {
//     display: inline-block;
//     text-align: center;
//     margin-right: 0.1em;
//     height: 2em;
//     color: white;
//     font-weight: 100;
//     font-size: 14pt;
//     padding-left: 1em;
//     padding-right: 1em;
//     border-radius: 5pt;
//     border-bottom-right-radius: 0;
//     border-bottom-left-radius: 0;
//     background-color: $primary-color;
//     &:hover {
//         color: white;
//         background-color: lighten($sequencing-color,5);
//     }
//     &:active {
//         color: white;
//         background-color: $primary-color;
//         box-shadow: 0;
//     }
// }

// .table .btn-default a {
//     outline: 0;
//     text-decoration: none;
//     // color: white;
//     &:hover {
//         // color: white;
//     }
//     &:active {
//         // color: white;
//     }
// }
.table_div{
    @extend .lighter-box-shadow;
    padding: 0;
}

.clear_table{
  width: 100%;
}
